Get auth configuration by ID
curl --request GET \
--url https://flowra.dev/api/v1/auth_configs/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/auth_configs/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/auth_configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"data": {
"id": "auth_config_123",
"uuid": "uuid_123",
"type": "default",
"toolkit": {
"slug": "slack",
"logo": "https://example.com/logo.png"
},
"name": "slack-9qmlw6",
"displayName": "Slack staging",
"authScheme": "OAUTH2",
"provider": "COMPOSIO",
"externalId": "auth_config_123",
"isProviderManaged": true,
"credentials": {},
"proxyConfig": {
"proxyUrl": "https://proxy.example.com",
"proxyAuthKey": "auth_key_123"
},
"status": "ENABLED",
"createdBy": "user_123",
"createdAt": "2023-01-01T00:00:00Z",
"lastUpdatedAt": "2023-01-01T00:00:00Z",
"noOfConnections": 5,
"expectedInputFields": [
{}
],
"restrictToFollowingTools": [
"tool1",
"tool2"
],
"toolAccessConfig": {
"toolsForConnectedAccountCreation": [
"tool1",
"tool2"
],
"toolsAvailableForExecution": [
"tool3",
"tool4"
]
},
"deprecatedParams": {
"defaultConnectorId": "connector_123",
"memberUuid": "member_uuid_123",
"toolkitId": "toolkit_123",
"expectedInputFields": {}
}
}
}Auth Configs
Get auth configuration by ID
Get details of one auth configuration by ID. Use to inspect provider, scopes, or linked toolkits before using it in a workflow.
GET
/
api
/
v1
/
auth_configs
/
{id}
Get auth configuration by ID
Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Path Parameters
Response
200 - application/json
Auth config retrieved successfully
Success status
Example:
true
Success message
Example:
"Operation completed successfully"
Show child attributes
Show child attributes
Example:
{
"id": "auth_config_123",
"uuid": "uuid_123",
"type": "default",
"toolkit": {
"slug": "slack",
"logo": "https://example.com/logo.png"
},
"name": "slack-9qmlw6",
"displayName": "Slack staging",
"authScheme": "OAUTH2",
"provider": "COMPOSIO",
"externalId": "auth_config_123",
"isProviderManaged": true,
"credentials": {},
"proxyConfig": {
"proxyUrl": "https://proxy.example.com",
"proxyAuthKey": "auth_key_123"
},
"status": "ENABLED",
"createdBy": "user_123",
"createdAt": "2023-01-01T00:00:00Z",
"lastUpdatedAt": "2023-01-01T00:00:00Z",
"noOfConnections": 5,
"expectedInputFields": [{}],
"restrictToFollowingTools": ["tool1", "tool2"],
"toolAccessConfig": {
"toolsForConnectedAccountCreation": ["tool1", "tool2"],
"toolsAvailableForExecution": ["tool3", "tool4"]
},
"deprecatedParams": {
"defaultConnectorId": "connector_123",
"memberUuid": "member_uuid_123",
"toolkitId": "toolkit_123",
"expectedInputFields": {}
}
}
Was this page helpful?